Sunday, June 07, 2015

DRAC5 on Poweredge 2900III

It may sound old hardware, but still works like a charm and pretty good. I had a chance to get a Dell Remote Access Card (DRAC5). Easy to install, a little bit less to access.
Once you configured the IP from the boot, you can access the card from a browser (this is a small webserver).
From the browser you are supposed to be able to open the console and see what happens and configure on the server just like you were sitting in front with a screen/keyboard plugged in (including on server boot, OS boot), to me that’s one of the reason to have that card. The other reason is the virtual media for remote installation onto the server from a local CD/DVD or ISO file.

However, opening the console turns Java on and you may be face to the error below (from the java console) :

6/01/2015 02:17:42:500: packet type( 0x100)
Sending packet: com.avocent.kvm.e.a.bf@19c6246 (8, 208).
javax.net.ssl.SSLHandshakeException: No appropriate protocol (protocol is disabled or cipher suites are inappropriate)
    at sun.security.ssl.Handshaker.activate(Unknown Source)
    at sun.security.ssl.SSLSocketImpl.kickstartHandshake(Unknown Source)
    at sun.security.ssl.SSLSocketImpl.performInitialHandshake(Unknown Source)
    at sun.security.ssl.SSLSocketImpl.writeRecord(Unknown Source)
    at sun.security.ssl.AppOutputStream.write(Unknown Source)
    at java.io.BufferedOutputStream.flushBuffer(Unknown Source)
    at java.io.BufferedOutputStream.flush(Unknown Source)
    at java.io.DataOutputStream.flush(Unknown Source)
    at com.avocent.kvm.d.b.g.b(Unknown Source)
    at com.avocent.kvm.d.b.i.run(Unknown Source)
JNLPClassLoader: Finding library jawt.dll
06/01/2015 02:17:42:500: IOException on AVSP socket.

JNLPClassLoader: Finding library avctKVMIO.dll

Solution:, comment out the following line in java.security file (C:\Program Files\Java\jre1.8.0_45\lib\security\java.security):
#jdk.tls.disabledAlgorithms=SSLv3

It worked with IE8 and Chrome. Thanks to that thread, I would be harmless.
For some reason, Firefox 38.0.5 on Windows XP 32bit refuses to make it works at all (something with an unknown error about XSLT transformation).

Note: from the documentation of the DRAC5, only web browser 32bit is supposed to work, and Java must be 1.6 or above.

Nicolas.

1 comment:

Philips Huges said...

Wonderful blog.. Thanks for sharing informative Post. Its very useful to me.

Installment loans
Payday loans
Title loans